#!/bin/bash

for i in *.pkg.tar.zst;
do
    echo "Удаление подписи $i.sig"
    rm -f $i.sig
    echo "Добавление подписи $i.sig"
    gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
done

for i in *.pkg.tar.xz;
do
    echo "Удаление подписи $i.sig"
    rm -f $i.sig
    echo "Добавление подписи $i.sig"
    gpg --detach-sign --local-user BC8B600E8DDA1F4CB77B10D2BA803A261A5EE6B8 --output "$i.sig" "$i"
done

echo "Ready"
sleep 5
kill $(ps x | grep konsole | grep $0 | awk '{print $1}')
